| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoMDC.registers.mre3_registers.OpticalFeedback Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.OpticalFeedback:

## Public Member Functions
| __init__ (self, board=None)
| GetOpticalFeedbackA (self)
| GetOpticalFeedbackB (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| of_a
| of_b
| name

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

    Device Functionality - Optical Feedback

    The optical feedback system provides information about the actual position of the mirror in optical feedback units.

    System ID: 0x23

    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name | Id   | Type        | Unit | Range | Default | Comment                                          |
    +===============+======+=============+======+=======+=========+==================================================+
    | of_a          | 0x00 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | of_b          | 0x01 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.OpticalFeedback.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetOpticalFeedbackA()

optoMDC.registers.mre3_registers.OpticalFeedback.GetOpticalFeedbackA | ( |  | self | ) |

## ◆ GetOpticalFeedbackB()

optoMDC.registers.mre3_registers.OpticalFeedback.GetOpticalFeedbackB | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre3_registers.OpticalFeedback.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre3_registers.OpticalFeedback._is_a_system = True
| static protected

## ◆ name

optoMDC.registers.mre3_registers.OpticalFeedback.name

## ◆ of_a

optoMDC.registers.mre3_registers.OpticalFeedback.of_a

## ◆ of_b

optoMDC.registers.mre3_registers.OpticalFeedback.of_b

## ◆ sys_id

optoMDC.registers.mre3_registers.OpticalFeedback.sys_id

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py